﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="Infragistics35.Web.v11.2, Version=11.2.20112.1019, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb"
    Namespace="Infragistics.Web.UI.GridControls" TagPrefix="ig" %>

<%@ Register assembly="Infragistics35.Web.v11.2, Version=11.2.20112.1019, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" namespace="Infragistics.Web.UI.DataSourceControls" tagprefix="ig" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:ScriptManager ID="ScriptManager1" runat="server">
        </asp:ScriptManager>
        <ig:WebHierarchicalDataGrid ID="WebHierarchicalDataGrid1" runat="server" Height="350px"
            Width="400px" AutoGenerateBands="False" AutoGenerateColumns="False" 
            DataKeyFields="CustomerID" DataMember="SqlDataSource1_DefaultView" 
            DataSourceID="WebHierarchicalDataSource1" Key="SqlDataSource1_DefaultView">
            <Bands>
                <ig:Band AutoGenerateColumns="False" DataKeyFields="OrderID" 
                    DataMember="SqlDataSource2_DefaultView" Key="SqlDataSource2_DefaultView">
                    <Columns>
                        <ig:BoundDataField DataFieldName="OrderID" Key="OrderID">
                            <Header Text="OrderID" />
                        </ig:BoundDataField>
                        <ig:BoundDataField DataFieldName="CustomerID" Key="CustomerID">
                            <Header Text="CustomerID" />
                        </ig:BoundDataField>
                        <ig:BoundDataField DataFieldName="ShipName" Key="ShipName">
                            <Header Text="ShipName" />
                        </ig:BoundDataField>
                    </Columns>
                    <Behaviors>
                        <ig:EditingCore>
                            <Behaviors>
                                <ig:RowAdding>
                                    <ColumnSettings>
                                        <ig:RowAddingColumnSetting ColumnKey="ShipName" 
                                            EditorID="WebHierarchicalDataGrid1_DropDownProvider2" />
                                    </ColumnSettings>
                                </ig:RowAdding>
                                <ig:CellEditing>
                                    <ColumnSettings>
                                        <ig:EditingColumnSetting ColumnKey="ShipName" 
                                            EditorID="WebHierarchicalDataGrid1_DropDownProvider1" />
                                    </ColumnSettings>
                                </ig:CellEditing>
                            </Behaviors>
                        </ig:EditingCore>
                    </Behaviors>
                </ig:Band>
            </Bands>
            <EditorProviders>
                <ig:DropDownProvider ID="WebHierarchicalDataGrid1_DropDownProvider2">
                    <EditorControl DropDownContainerMaxHeight="200px" EnableAnimations="False" 
                        EnableDropDownAsChild="False" DataSourceID="SqlDataSource3" DataKeyFields="ShipName"
                         TextField="ShipName">
<DropDownItemBinding TextField="ShipName"></DropDownItemBinding>
                    </EditorControl>
                </ig:DropDownProvider>
                <ig:DropDownProvider ID="WebHierarchicalDataGrid1_DropDownProvider1">
                    <EditorControl DropDownContainerMaxHeight="200px" EnableAnimations="False" 
                        EnableDropDownAsChild="False" DataSourceID="SqlDataSource4" DataKeyFields="CompanyName"
                         TextField="CompanyName">
<DropDownItemBinding TextField="CompanyName"></DropDownItemBinding>
                    </EditorControl>
                </ig:DropDownProvider>
            </EditorProviders>
            <Columns>
                <ig:BoundDataField DataFieldName="CustomerID" Key="CustomerID">
                    <Header Text="CustomerID" />
                </ig:BoundDataField>
                <ig:BoundDataField DataFieldName="CompanyName" Key="CompanyName">
                    <Header Text="CompanyName" />
                </ig:BoundDataField>
                <ig:BoundDataField DataFieldName="ContactName" Key="ContactName">
                    <Header Text="ContactName" />
                </ig:BoundDataField>
            </Columns>
            <Behaviors>
                <ig:EditingCore>
                    <Behaviors>
                        <ig:RowAdding EnableInheritance="True">
                            <ColumnSettings>
                                <ig:RowAddingColumnSetting ColumnKey="CompanyName" 
                                    EditorID="WebHierarchicalDataGrid1_DropDownProvider1" />
                            </ColumnSettings>
                        </ig:RowAdding>
                    </Behaviors>
                </ig:EditingCore>
            </Behaviors>
        </ig:WebHierarchicalDataGrid>
        <ig:WebHierarchicalDataSource ID="WebHierarchicalDataSource1" runat="server">
            <dataviews>
                <ig:DataView ID="SqlDataSource1_DefaultView" DataMember="DefaultView" 
                    DataSourceID="SqlDataSource1" />
                <ig:DataView ID="SqlDataSource2_DefaultView" DataMember="DefaultView" 
                    DataSourceID="SqlDataSource2" />
            </dataviews>
            <datarelations>
                <ig:DataRelation ChildColumns="CustomerID" 
                    ChildDataViewID="SqlDataSource2_DefaultView" ParentColumns="CustomerID" 
                    ParentDataViewID="SqlDataSource1_DefaultView" />
            </datarelations>
        </ig:WebHierarchicalDataSource>
        <asp:SqlDataSource ID="SqlDataSource2" runat="server" 
            ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString %>" 
            SelectCommand="SELECT [OrderID], [CustomerID], [ShipName] FROM [Orders]">
        </asp:SqlDataSource>
        <asp:SqlDataSource ID="SqlDataSource1" runat="server" 
            ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString %>" 
            SelectCommand="SELECT [CustomerID], [CompanyName], [ContactName] FROM [Customers]">
        </asp:SqlDataSource>
        <asp:SqlDataSource ID="SqlDataSource3" runat="server" 
            ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString %>" 
            SelectCommand="SELECT DISTINCT [ShipName] FROM [Orders]">
        </asp:SqlDataSource>
        <asp:SqlDataSource ID="SqlDataSource4" runat="server" 
            ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString %>" 
            SelectCommand="SELECT DISTINCT [CompanyName] FROM [Customers]">
        </asp:SqlDataSource>
    </div>
    </form>
</body>
</html>
